
package com.jeelowcode.framework.plus.chain.entity;

import java.util.Set;

/**
 * 租户权限相关
 */
public class TenantIdFilterEntity {
    private boolean enable;///是否启动

    private Long tenantId;//租户id

    private Set<String> ignoreTables; //不过滤的表

    private Set<String> ignoreUrl;//不过滤的url

    private boolean ignore;



    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }


    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public Set<String> getIgnoreTables() {
        return ignoreTables;
    }

    public void setIgnoreTables(Set<String> ignoreTables) {
        this.ignoreTables = ignoreTables;
    }

    public boolean isIgnore() {
        return ignore;
    }

    public void setIgnore(boolean ignore) {
        this.ignore = ignore;
    }

    public Set<String> getIgnoreUrl() {
        return ignoreUrl;
    }

    public void setIgnoreUrl(Set<String> ignoreUrl) {
        this.ignoreUrl = ignoreUrl;
    }
}
